import java.awt.Color;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Graphics2D;

import javax.swing.JFrame;
import javax.swing.JPanel;


@SuppressWarnings("serial")
public class Graph extends JPanel {
	
	private Color currentColor;
	
	public Graph(Color initialColor) {
		currentColor = initialColor;
	}
	
	public void changeColor(Color newColor) {
		currentColor = newColor;
		this.repaint();
	}
	
	public void paintComponent(Graphics g) {
		super.setBackground(Color.white);
		super.paintComponent(g);
		Graphics2D g2 = (Graphics2D) g;
		g2.setColor(currentColor);
		g2.drawRect(10, 10, 100, 20);
		g2.drawRect(20, 100, 50, 200);
	}
	
	public static void main(String[] args) {
		JFrame window = new JFrame();
		Container pane = window.getContentPane();
		pane.setPreferredSize(new Dimension(500, 300));
		Graph g = new Graph(Color.BLACK);
		pane.add(g);
		window.pack();
		window.setLocation(200, 200);
		window.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		window.setVisible(true);
		
		int current = 0;
		Color[] colors = { Color.RED, Color.GREEN, Color.BLUE }; 
		while (true) {
			try {
				Thread.sleep(1000);
			} catch (InterruptedException e) {
				e.printStackTrace();
			}
			
			g.changeColor(colors[current]);
			current = (current + 1) % colors.length;			
		}
	}
}
